Package org.apache.commons.net.ntp

# Class NtpUtils

java.lang.Object
org.apache.commons.net.ntp.NtpUtils

public final class NtpUtils extends Object
Common NtpUtils Helper class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NtpUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getHostAddress(int address)`
  Returns 32-bit integer address to IPv4 address string "%d.%d.%d.%d" format.
  `static String`
  `getModeName(int mode)`
  Return human-readable name of message mode type (RFC 1305).
  `static String`
  `getRefAddress(NtpV3Packet packet)`
  Returns NTP packet reference identifier as IP address.
  `static String`
  `getReferenceClock(NtpV3Packet message)`
  Get refId as reference clock string (e.g.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NtpUtils

    public NtpUtils()

- ## Method Details

  - ### getHostAddress

    public static String getHostAddress(int address)
    Returns 32-bit integer address to IPv4 address string "%d.%d.%d.%d" format.
    Parameters:
      `address` - the 32-bit address
    Returns:
      the raw IP address in a string format.

  - ### getModeName

    public static String getModeName(int mode)
    Return human-readable name of message mode type (RFC 1305).
    Parameters:
      `mode` - the mode type
    Returns:
      mode name

  - ### getRefAddress

    public static String getRefAddress(NtpV3Packet packet)
    Returns NTP packet reference identifier as IP address.
    Parameters:
      `packet` - NTP packet
    Returns:
      the packet reference id (as IP address) in "%d.%d.%d.%d" format.

  - ### getReferenceClock

    public static String getReferenceClock(NtpV3Packet message)
    Get refId as reference clock string (e.g. GPS, WWV, LCL). If string is invalid (non-ASCII character) then returns empty string "". For details refer to the Comprehensive List of Clock Drivers.
    Parameters:
      `message` - the message to check
    Returns:
      reference clock string if primary NTP server